using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class ScreenshotMng : MonoBehaviour
{
    //INSPECTOR
    [SerializeField] private GameObject      timer;
    [SerializeField] private TextMeshProUGUI timerText;
    [SerializeField] private AudioMng        audioMng;
    
    //PUBLIC
    public ScreenshotAndVideoUtilities screenshotAndVideoUtilities;

    //PRIVATE
    private bool screenshotProcessActive = false;
    private float timerScreenshot = 6.0f;
    private float timerBip = 0.0f;

    private void Update()
    {
        UpdateScreenshotProcess();
    }

    public void StartScreenshotProcess()
    {
        if (screenshotProcessActive) return;

        screenshotProcessActive = true;
        timer.SetActive(true);
    }
   
    private void UpdateScreenshotProcess()
    {
        if (screenshotProcessActive == false) return;

        timerScreenshot -= Time.deltaTime;
        timerBip -= Time.deltaTime;

        int time = (int)timerScreenshot;

        if (timerScreenshot < 1)
        {
            screenshotProcessActive = false;
            timerScreenshot = 6.0f;
            timerBip = 0.0f;

            audioMng.Play_Photo_Diaph();

            timer.SetActive(false);
            screenshotAndVideoUtilities.TakeShot();

            return;
        }
        else
        {
            timerText.text = time.ToString() + "s";
        }

        if (timerBip <= 0)
        {
            audioMng.Play_Bip();
            timerBip = 1.0f;
        }
    }




    //to be rewritten
    public void RecordVideo()
    {
        //if (captureVideoMng != null)
        //{
        //    captureVideoMng.RecordVideo();
        //}
        //else
        //{
        //    Debug.Log("Capture Video Manager = NULL, Impossible to record video");
        //}
    }
    //to be rewritten
    public void StopVideo()
    {
        //captureVideoMng.StopRecord();
    }

}
